Subject: Re: [sidr] ROA representation and examples (was Re: Resolving the issues in the roa-format draft)

From: Danny McPherson <[email-masked]>
Date: Wed, 3 Dec 2008 13:28:34 -0700

On Oct 7, 2008, at 8:09 AM, Matt Lepinski wrote:
>
> 2) With regards to format, there was discussion in March in  
> Philidelphia which led to the addition of the max-length field. At  
> that time, the question was raised as to whether there should also  
> be a min-length field and at the time there seemed to be no operator  
> requirement for such a field. In particular, to justify a min-length  
> field one would need a use-case where a registered holder of IP  
> resources wishes to give an AS permission to advertise many long  
> prefixes, but expressly forbid the AS from advertising the aggregate  
> prefix. Such a use-case seems unlikely because in most cases  
> advertising the aggregate prefix does no harm (and indeed will be  
> ignored in the presence of advertisements for longer prefixes)  
> although I could be missing something.

Matt,
Catching up on old email (rereading while looking at
I-D changes)

One trivial comment here..  If two ASes announce the
same aggregate (prefix/len) it can certainly do harm,
as more specifics may be suppressed and routing would
simply select the preferred AS based on AS_PATH or
other selection criteria.  Route hijacks that are no
more specific than the legit route occur frequently,
and cause considerable pain to the prefix holder.

I'm not making a case for minLength, just sharing an
observation.

-danny

_______________________________________________
sidr mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/sidr